function [list] = FieldListforSWIDB_v3()
list = {
'ID','ID',3,[],'Event ID',[]
'Time','Time',5,[],'Event origin time',[]
'Lat','Lat',24,'deg','Latitude',[]
'Long','Long',24,'deg','Longitude',[]
'Depth','Depth',13,'km','Hypocenter depth measured from the ground level',[]
'Elevation','Elevation',13,'km','Hypocenter elevation measured over the see level',[]
'X','X',10,'m','X coordinate',[]
'Y','Y',10,'m','Y coordinate',[]
'Z','Z',10,'m','Z coordinate',[]
'EPI_err','EPI_err',13,'m','Epicentral error',[]
'Depth_err','Depth_err',13,'m','Depth error ',[]
'Nl','Nl',2,[],'No of stations used in the localisation',[]
'M0','_ISEPOS_M0',7,'Nm','Scalar moment',[]
'Mw','Mw',4,[],'Moment magnitude','Magnitude'
'ML','ML',4,[],'Local magnitude','Magnitude'
'Ns_decomp','Ns_decomp',2,[],'No of stations used in MT inversion',[]
'DecompMethod','_ISEPOS_TEXT_DecompMethod',3,[],'Method used to decompose moment tensor',[]
'MTrr','_ISEPOS_MTrr',222,'Nm','Full solution: Moment tensor rr component (r  up)',[]
'MTss','_ISEPOS_MTss',222,'Nm','Full solution: Moment tensor ss component (s  South)',[]
'MTee','_ISEPOS_MTee',222,'Nm','Full solution: Moment tensor ee component (e  East) ',[]
'MTrs','_ISEPOS_MTrs',222,'Nm','Full solution: Moment tensor rs component',[]
'MTre','_ISEPOS_MTre',222,'Nm','Full solution: Moment tensor re component',[]
'MTse','_ISEPOS_MTse',222,'Nm','Full solution: Moment tensor se component',[]
'MT_err','_ISEPOS_MT_err',222,'Nm','Full solution: Moment tensor error',[]
'ISO','_ISEPOS_ISO',120,'%','Isotropic MT component ',[]
'CLVD','_ISEPOS_CLVD',120,'%','CLVD component ',[]
'DC','_ISEPOS_DC',20,'%','Double-Couple component ',[]
'StrikeA','_ISEPOS_StrikeA',30,'deg','Strike of nodal plane A',[]
'DipA','_ISEPOS_DipA',20,'deg','Dip of nodal plane A',[]
'RakeA','_ISEPOS_RakeA',130,'deg','Rake of nodal plane A',[]
'SlopeA','_ISEPOS_SlopeA',20,'deg','Inclination for nodal plane A',[]
'StrikeB','_ISEPOS_StrikeB',30,'deg','Strike of nodal plane B',[]
'DipB','_ISEPOS_DipB',20,'deg','Dip of nodal plane B',[]
'RakeB','_ISEPOS_RakeB',130,'deg','Rake of nodal plane B',[]
'SlopeB','_ISEPOS_SlopeB',20,'deg','Inclination for nodal plane B',[]
'Strike_err','Strike_err',10,'deg','Strike error',[]
'Dip_err','Dip_err',10,'deg','Dip error',[]
'Rake_err','Rake_err',10,'deg','Rake error',[]
'Slope_err','Slope_err',10,'deg','Inclination error',[]
'Plunge_T','Plunge_T',30,'deg','Plunge of T-axis',[]
'PlungeT_err','PlungeT_err',10,'deg','T-axis plunge error',[]
'Trend_T','Trend_T',20,'deg','Trend of T-axis',[]
'TrendT_err','TrendT_err',10,'deg','T-axis trend error',[]
'Plunge_P','Plunge_P',30,'deg','Plunge of P-axis',[]
'PlungeP_err','PlungeP_err',10,'deg','P-axis plunge error',[]
'Trend_P','Trend_P',20,'deg','Trend of P-axis',[]
'TrendP_err','TrendP_err',10,'deg','P-axis trend error',[]
'DCrr','DCrr',222,'Nm','Double-Couple solution: Moment tensor rr component (r - up)',[]
'DCss','DCss',222,'Nm','Double-Couple solution: Moment tensor ss component (s - South)',[]
'DCee','DCee',222,'Nm','Double-Couple solution: Moment tensor ee component (e - East)',[]
'DCrs','DCrs',222,'Nm','Double-Couple solution: Moment tensor rs component',[]
'DCre','DCre',222,'Nm','Double-Couple solution: Moment tensor re component',[]
'DCse','DCse',222,'Nm','Double-Couple solution: Moment tensor se component',[]
'DC_err','DC_err',222,'Nm','Double-Couple solution: Moment tensor error',[]
'DCStrikeA','DCStrikeA',30,'deg','Double-Couple solution: Strike of nodal plane A',[]
'DCDipA','DCDipA',20,'deg','Double-Couple solution: Dip of nodal plane A',[]
'DCRakeA','DCRakeA',130,'deg','Double-Couple solution: Rake of nodal plane A',[]
'DCStrikeB','DCStrikeB',20,'deg','Double-Couple solution: Strike of nodal plane B',[]
'DCDipB','DCDipB',30,'deg','Double-Couple solution: Dip of nodal plane B',[]
'DCRakeB','DCRakeB',20,'deg','Double-Couple solution: Rake of nodal plane B',[]
'DCStrike_err','DCStrike_err',10,'deg','Double-Couple solution: Strike error',[]
'DCDip_err','DCDip_err',10,'deg','Double-Couple solution: Dip error',[]
'DCRake_err','DCRake_err',10,'deg','Double-Couple solution: Rake error',[]
'DCPlunge_T','DCPlunge_T',20,'deg','Double-Couple solution: Plunge of T-axis',[]
'DCPlungeT_err','DCPlungeT_err',10,'deg','Double-Couple solution: T-axis plunge error',[]
'DCTrend_T','DCTrend_T',30,'deg','Double-Couple solution: Trend of T-axis',[]
'DCTrendT_err','DCTrendT_err',10,'deg','Double-Couple solution: T-axis trend error',[]
'DCPlunge_P','DCPlunge_P',20,'deg','Double-Couple solution: Plunge of P-axis',[]
'DCPlungeP_err','DCPlungeP_err',10,'deg','Double-Couple solution: P-axis plunge error',[]
'DCTrend_P','DCTrend_P',30,'deg','Double-Couple solution: Trend of P-axis',[]
'DCTrendP_err','DCTrendP_err',10,'deg','Double-Couple solution: P-axis trend error',[]
'TNrr','TNrr',222,'Nm','TN solution: Moment tensor rr component (r - up)',[]
'TNss','TNss',222,'Nm','TN solution: Moment tensor ss component (s - South)',[]
'TNee','TNee',222,'Nm','TN solution: Moment tensor ee component (e - East)',[]
'TNrs','TNrs',222,'Nm','TN solution: Moment tensor rs component',[]
'TNre','TNre',222,'Nm','TN solution: Moment tensor re component',[]
'TNse','TNse',222,'Nm','TN solution: Moment tensor se component',[]
'TN_err','TN_err',222,'Nm','TN solution: Moment tensor error',[]
'TNStrikeA','TNStrikeA',30,'deg','TN solution: Strike of nodal plane A',[]
'TNDipA','TNDipA',20,'deg','TN solution: Dip of nodal plane A',[]
'TNRakeA','TNRakeA',130,'deg','TN solution: Rake of nodal plane A',[]
'TNStrikeB','TNStrikeB',20,'deg','TN solution: Strike of nodal plane B',[]
'TNDipB','TNDipB',30,'deg','TN solution: Dip of nodal plane B',[]
'TNRakeB','TNRakeB',20,'deg','TN solution: Rake of nodal plane B',[]
'TNStrike_err','TNStrike_err',10,'deg','TN solution: Strike error',[]
'TNDip_err','TNDip_err',10,'deg','TN solution: Dip error',[]
'TNRake_err','TNRake_err',10,'deg','TN solution: Rake error',[]
'TNPlunge_T','TNPlunge_T',20,'deg','TN solution: Plunge of T-axis',[]
'TNPlungeT_err','TNPlungeT_err',10,'deg','TN solution: T-axis plunge error',[]
'TNTrend_T','TNTrend_T',30,'deg','TN solution: Trend of T-axis',[]
'TNTrendT_err','TNTrendT_err',10,'deg','TN solution: T-axis trend error',[]
'TNPlunge_P','TNPlunge_P',20,'deg','TN solution: Plunge of P-axis',[]
'TNPlungeP_err','TNPlungeP_err',10,'deg','TN solution: P-axis plunge error',[]
'TNTrend_P','TNTrend_P',30,'deg','TN solution: Trend of P-axis',[]
'TNTrendP_err','TNTrendP_err',10,'deg','TN solution: P-axis trend error',[]
'NsP','_ISEPOS_NsP',2,[],'No of stations used in the P-wave spectral analysis',[]
'E','E',222,'J','Total seismic energy ',[]
'E_err','_ISEPOS_E_err',222,'J','Total seismic energy error',[]
'Ep','_ISEPOS_Ep',222,'J','P-wave energy',[]
'Ep_err','_ISEPOS_Ep_err',222,'J','P-wave energy error',[]
'fp','_ISEPOS_fp',12,'Hz','P-wave corner frequency ',[]
'fp_err','_ISEPOS_fp_err',12,'Hz','P-wave corner frequency error',[]
'rad_eff_P','_ISEPOS_rad_eff_P',12,[],'Radiation efficiency P',[]
'Qp','_ISEPOS_Qp',10,[],'Quality factor Pwaves',[]
'NsS','_ISEPOS_NsS',2,[],'No of stations used in the S-wave spectral analysis',[]
'Es','_ISEPOS_Es',222,'J','S-wave energy ',[]
'Es_err','_ISEPOS_Es_err',222,'J','S-wave energy error [J]',[]
'fs','_ISEPOS_fs',12,'Hz','S-wave corner frequency ',[]
'fs_err','_ISEPOS_fs_err',12,'Hz','S-wave corner frequency error',[]
'Qs','_ISEPOS_Qs',10,[],'Quality factor S-waves',[]
'rad_eff_S','_ISEPOS_rad_eff_S',12,[],'Radiation efficiency S',[]
'R','_ISEPOS_R',10,'m','Source radius ',[]
'R_err','_ISEPOS_R_err',10,'m','Source radius error ',[]
'R_model','_ISEPOS_TEXT_R_model',3,[],'Source radius model used (Brune, Madariaga, Sato&Hirasawa)',[]
'rad_eff','_ISEPOS_rad_eff',12,[],'Radiation efficiency',[]
'sigma_a','_ISEPOS_sigma_a',13,'MPa','Apparent stress',[]
'delta_sigma','_ISEPOS_delta_sigma',13,'MPa','Static stress drop',[]
'sigma_d','_ISEPOS_sigma_d',13,'MPa','Dynamic stress drop',[]
'sigma_rms','sigma_rms',13,'MPa','RMS dynamic stress drop',[]
'vr','_ISEPOS_vr',10,'m/s','Rupture velocity',[]
'vr_model','_ISEPOS_TEXT_vr_model',3,[],'Rupture velocity model (unilateral etc.',[]
'SW_eff','_ISEPOS_sw_eff',12,[],'Savage-Wood efficiency',[]
'u','_ISEPOS_u',12,'m','Fault slip',[]
'RMS_time_residual','_ISEPOS_RMS_time_residual',13,'sec','Time residual after location in a 3D model',[]
'Hypocenter_quality_index','_ISEPOS_Hypocenter_quality_index',2,[],'Average number of station, azimuthal coverage, stability of location against noise',[]
'Comments','_ISEPOS_Comments',3,[],'Particularities of the respective event (main shock, aftershock etc. ) and parameter estimation issues/uncertainties description',[]
'M0_p','_ISEPOS_M0_p',222,'Nm','P-wave scalar moment',[]
'M0_s','_ISEPOS_M0_s',222,'Nm','S-wave scalar moment',[]
'M0_Dev_p','_ISEPOS_M0_Dev_p',222,'Nm','P-wave scalar moment error',[]
'M0_Dev_s','_ISEPOS_M0_Dev_s',222,'Nm','S-wave scalar moment error',[]
'M0_Dev','_ISEPOS_M0_Dev',222,'Nm','Scalar moment error',[]
'P','_ISEPOS_P',222,'m^3','Seismic potency',[]
'X-relErr','X-relErr',4,'m','Relative error in X coordintate',[]
'Y-relErr','Y-relErr',4,'m','Relative error in Y coordintate',[]
'Z-relErr','Z-relErr',4,'m','Relative error in Z coordintate',[]
'ML-rel','ML-rel',4,[],'Relative magnitude calibrated with local magnitude of larger event in the sequence','Magnitude'
'NCCP','NCCP',2,[],'Number of cross-correlated P-wave data',[]
'NCCS','NCCS',2,[],'Number of cross-correlated S-wave data',[]
'NCTP','NCTP',2,[],'Number of catalog P-wave data',[]
'NCTS','NCTS',2,[],'Number of catalog S-wave data',[]
'RMSCC','RMSCC',13,[],'RMS residual for CC-derived differential arrivals',[]
'RMSCT','RMSCC',13,[],'RMS residual for catolog-derived differential arrivals',[]
'CID','CID',2,[],'Cluster ID',[]
'usedStationLocation','usedStationLocation',3,[],'Name of stations from which data was used for localization computation',[]
'unusedStationLocation','unusedStationLocation',3,[],'Name of stations from which data was not used for localization computation',[]
} ;